Create Project Schedule
curl --request POST \
--url https://api.veryfront.com/projects/{project_reference}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target": {
"id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"schedule": "<string>",
"timezone": "<string>",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"timeout_seconds": 1,
"backoff_limit": 1,
"max_runs": 1
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/schedules"
payload = {
"name": "<string>",
"target": {
"id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"schedule": "<string>",
"timezone": "<string>",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"timeout_seconds": 1,
"backoff_limit": 1,
"max_runs": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
target: {id: '<string>', conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
schedule: '<string>',
timezone: '<string>',
runtime_target_environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
runtime_target_branch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
config: {},
timeout_seconds: 1,
backoff_limit: 1,
max_runs: 1
})
};
fetch('https://api.veryfront.com/projects/{project_reference}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target": {
"id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"schedule": "<string>",
"timezone": "<string>",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"timeout_seconds": 123,
"backoff_limit": 123,
"concurrency_policy": "<string>",
"source_trigger_id": "<string>",
"source_path": "<string>",
"source_hash": "<string>",
"last_scheduled_at": "<string>",
"last_successful_at": "<string>",
"health": {
"maxStalenessSeconds": 1
},
"max_runs": 1,
"run_count": 1,
"completed_at": "<string>",
"paused_reason": "<string>",
"paused_at": "<string>",
"last_failure_at": "<string>",
"last_failure_code": "<string>",
"last_failure_message": "<string>",
"last_failure_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"integration_requirements": []
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}Creates an active recurring project schedule.
POST
/
projects
/
{project_reference}
/
schedules
Create Project Schedule
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Minimum string length:
1Body
application/json
Required string length:
1 - 255Show child attributes
Show child attributes
Required string length:
1 - 255Required string length:
1 - 128Available options:
main_branch, environment, preview_branch Show child attributes
Show child attributes
Required range:
x > 0Required range:
x >= 0Available options:
Allow, Forbid, Replace Required range:
x > 0Response
Created schedule
Show child attributes
Show child attributes
⌘I